commit:     6b4c617c959695cd206e98034dade19418828708
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 30 22:28:56 2018 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Tue Oct 30 22:32:41 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b4c617c

dev-python/tempita: add PyPy3, Python 3.7, doc and tests

Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-python/tempita/Manifest                |  1 +
 dev-python/tempita/tempita-0.5.3-r2.ebuild | 51 ++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/tempita/Manifest b/dev-python/tempita/Manifest
index a19e8003825..008227d03f5 100644
--- a/dev-python/tempita/Manifest
+++ b/dev-python/tempita/Manifest
@@ -1 +1,2 @@
+DIST tempita-0.5.3-bitbucket.tar.gz 22756 BLAKE2B 
59d273b1dc206eea452f7e5265d59b3ef1248b2d920eae559d74f4c569852b2a127e2a906f866cb748a12663dca944d9080413410edd5c69bd93b0d9574e3026
 SHA512 
cebe443bf0fc7705304fe127c796801acb6cdc54e79315c2afddb79ece1d04427852c1d0924ab9dd54520b584ae09a0644a20ff2dd6ed0408ee103f5b3fb9410
 DIST tempita-0.5.3.tar.gz 12707 BLAKE2B 
921087bf09454506db8cab7b37c780bba5298b206113e246b710367b92364f03055afda6b826ca3008e34e4ea8821c6aabf045a735ac0887db1ba8a82e048ddb
 SHA512 
43bafd42ab0c07bec636d637bfcd42053559d188e13bccc66527dc5f735fd9c3ec30fcf29f3e650d88315fe8f2eb2c5af280f51d2c64db099e08d8a70969a1c4

diff --git a/dev-python/tempita/tempita-0.5.3-r2.ebuild 
b/dev-python/tempita/tempita-0.5.3-r2.ebuild
new file mode 100644
index 00000000000..738e3a004e9
--- /dev/null
+++ b/dev-python/tempita/tempita-0.5.3-r2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{4,5,6,7}} )
+
+inherit distutils-r1
+
+MY_COMMIT="97392d008cc8"
+
+DESCRIPTION="A very small text templating language"
+HOMEPAGE="https://pypi.org/project/Tempita/";
+# Tests are not published on PyPI
+SRC_URI="https://bitbucket.org/ianb/${PN}/get/${MY_COMMIT}.tar.gz -> 
${P}-bitbucket.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc 
~x86"
+IUSE="doc test"
+
+BDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+PATCHES=( "${FILESDIR}/${P}-pypy-tests.patch" )
+
+S="${WORKDIR}/ianb-${PN}-${MY_COMMIT}"
+
+python_prepare_all() {
+       # Remove reference to a non-existent CSS file
+       # in order to make sphinx use its default theme.
+       sed -i '/^html_style =/d' docs/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       if use doc; then
+               sphinx-build docs docs/_build/html || die
+               HTML_DOCS=( docs/_build/html/. )
+       fi
+}
+
+python_test() {
+       # We need to append to sys.path, otherwise pytest imports
+       # the module from ${S} (before it was 2to3'd)
+       pytest --import-mode=append -vv tests/test_template.txt docs/index.txt \
+               || die "Tests failed with ${EPYTHON}"
+}

Reply via email to